import React from 'react';
import { monaco } from '@codingame/monaco-editor-wrapper';
import './style';
export declare function defaultRestoreViewState(editor: monaco.editor.IStandaloneCodeEditor, model: monaco.editor.ITextModel): void;
export declare function defaultSaveViewState(editor: monaco.editor.IStandaloneCodeEditor, model: monaco.editor.ITextModel): void;
export interface MonacoEditorProps {
    /**
     * - auto means the editor will grow or shring base on the content
     * - Any other value is just used as is
     *
     * default: 100%
     */
    height?: 'auto' | string | number;
    /**
     * Max height when in height: auto mode
     */
    maxHeight?: number;
    /**
     * Max height when in height: auto mode
     */
    minHeight?: number;
    value?: string;
    programmingLanguage?: string;
    fileUri?: string;
    options?: monaco.editor.IStandaloneEditorConstructionOptions;
    overrideServices?: monaco.editor.IEditorOverrideServices;
    onChange?: (value: string, event: monaco.editor.IModelContentChangedEvent) => void;
    markers?: monaco.editor.IMarkerData[];
    keyBindingsMode?: 'classic' | 'vim' | 'emacs';
    keyBindings?: monaco.extra.IUserFriendlyKeybinding[];
    /**
     * Called when the editor will switch to another model
     *
     * Default to store is into a Map<fileUri, viewState>
     */
    saveViewState?: (editor: monaco.editor.IStandaloneCodeEditor, model: monaco.editor.ITextModel) => void;
    /**
     * Called when the editor just switch to a model
     *
     * Default to using the Map<fileUri, viewState>
     */
    restoreViewState?: (editor: monaco.editor.IStandaloneCodeEditor, model: monaco.editor.ITextModel) => void;
}
declare const _default: React.ForwardRefExoticComponent<MonacoEditorProps & React.RefAttributes<monaco.editor.IStandaloneCodeEditor>>;
export default _default;
